server:
  ingress:
    enabled: true
    annotations:
      # kong ingress controller 설정
      konghq.com/https-redirect-status-code: "301"
      konghq.com/preserve-host: "true"
      konghq.com/protocols: https
      # cert manager 설정
      cert-manager.io/cluster-issuer: "selfsigned-issuer" 
      cert-manager.io/duration: 8760h  
      cert-manager.io/renew-before: 720h
    hostname: argocd.example.org
    ingressClassName: "kong"
    extraTls:
      - hosts:
        - argocd.example.org
        secretName: argocd-tls
  service:
    annotations:
      konghq.com/protocol: https